import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeSecretInput } from "../types/DescribeSecretInput";
import { DescribeSecretOutput } from "../types/DescribeSecretOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/DescribeSecretInput";
export * from "../types/DescribeSecretOutput";
export * from "../types/DescribeSecretExceptionsUnion";
export declare class DescribeSecretCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeSecretInput, OutputTypesUnion, DescribeSecretOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: DescribeSecretInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeSecretInput, DescribeSecretOutput, Blob>;
    constructor(input: DescribeSecretInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<DescribeSecretInput, DescribeSecretOutput>;
}
