import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreSecretInput } from "../types/RestoreSecretInput";
import { RestoreSecretOutput } from "../types/RestoreSecretOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/RestoreSecretInput";
export * from "../types/RestoreSecretOutput";
export * from "../types/RestoreSecretExceptionsUnion";
export declare class RestoreSecretCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreSecretInput, OutputTypesUnion, RestoreSecretOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: RestoreSecretInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreSecretInput, RestoreSecretOutput, Blob>;
    constructor(input: RestoreSecretInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<RestoreSecretInput, RestoreSecretOutput>;
}
