"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetRandomPassword_1 = require("../model/operations/GetRandomPassword");
var GetRandomPasswordCommand = /** @class */ (function () {
    function GetRandomPasswordCommand(input) {
        this.input = input;
        this.model = GetRandomPassword_1.GetRandomPassword;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetRandomPasswordCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetRandomPasswordCommand;
}());
exports.GetRandomPasswordCommand = GetRandomPasswordCommand;
//# sourceMappingURL=GetRandomPasswordCommand.js.map