import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSecretVersionIdsInput } from "../types/ListSecretVersionIdsInput";
import { ListSecretVersionIdsOutput } from "../types/ListSecretVersionIdsOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/ListSecretVersionIdsInput";
export * from "../types/ListSecretVersionIdsOutput";
export * from "../types/ListSecretVersionIdsExceptionsUnion";
export declare class ListSecretVersionIdsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSecretVersionIdsInput, OutputTypesUnion, ListSecretVersionIdsOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: ListSecretVersionIdsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSecretVersionIdsInput, ListSecretVersionIdsOutput, Blob>;
    constructor(input: ListSecretVersionIdsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<ListSecretVersionIdsInput, ListSecretVersionIdsOutput>;
}
