import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListSecretsInput } from "../types/ListSecretsInput";
import { ListSecretsOutput } from "../types/ListSecretsOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/ListSecretsInput";
export * from "../types/ListSecretsOutput";
export * from "../types/ListSecretsExceptionsUnion";
export declare class ListSecretsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListSecretsInput, OutputTypesUnion, ListSecretsOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: ListSecretsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListSecretsInput, ListSecretsOutput, Blob>;
    constructor(input: ListSecretsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<ListSecretsInput, ListSecretsOutput>;
}
