import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RotateSecretInput } from "../types/RotateSecretInput";
import { RotateSecretOutput } from "../types/RotateSecretOutput";
import { SecretsManagerResolvedConfiguration } from "../SecretsManagerConfiguration";
export * from "../types/RotateSecretInput";
export * from "../types/RotateSecretOutput";
export * from "../types/RotateSecretExceptionsUnion";
export declare class RotateSecretCommand implements __aws_sdk_types.Command<InputTypesUnion, RotateSecretInput, OutputTypesUnion, RotateSecretOutput, SecretsManagerResolvedConfiguration, Blob> {
    readonly input: RotateSecretInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RotateSecretInput, RotateSecretOutput, Blob>;
    constructor(input: RotateSecretInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: SecretsManagerResolvedConfiguration): __aws_sdk_types.Handler<RotateSecretInput, RotateSecretOutput>;
}
