"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateSecretVersionStage_1 = require("../model/operations/UpdateSecretVersionStage");
var UpdateSecretVersionStageCommand = /** @class */ (function () {
    function UpdateSecretVersionStageCommand(input) {
        this.input = input;
        this.model = UpdateSecretVersionStage_1.UpdateSecretVersionStage;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateSecretVersionStageCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateSecretVersionStageCommand;
}());
exports.UpdateSecretVersionStageCommand = UpdateSecretVersionStageCommand;
//# sourceMappingURL=UpdateSecretVersionStageCommand.js.map