"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteSecretInput_1 = require("../shapes/DeleteSecretInput");
var DeleteSecretOutput_1 = require("../shapes/DeleteSecretOutput");
var ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
var InvalidParameterException_1 = require("../shapes/InvalidParameterException");
var InvalidRequestException_1 = require("../shapes/InvalidRequestException");
var InternalServiceError_1 = require("../shapes/InternalServiceError");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteSecret = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteSecret",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteSecretInput_1.DeleteSecretInput
    },
    output: {
        shape: DeleteSecretOutput_1.DeleteSecretOutput
    },
    errors: [
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: InvalidRequestException_1.InvalidRequestException
        },
        {
            shape: InternalServiceError_1.InternalServiceError
        }
    ]
};
//# sourceMappingURL=DeleteSecret.js.map