/**
 * <p>A structure that contains information about a tag.</p>
 */
export interface _Tag {
    /**
     * <p>The key identifier, or name, of the tag.</p>
     */
    Key?: string;
    /**
     * <p>The string value that's associated with the key of the tag.</p>
     */
    Value?: string;
}
export declare type _UnmarshalledTag = _Tag;
